Page MenuHomePhabricator

[mlir][spirv] Define spv.ImageQuerySize operation
ClosedPublic

Authored by Weiwei-2021 on May 6 2021, 3:56 PM.

Details

Summary

Support OpImageQuerySize in spirv dialect

co-authered-by: Alan Liu <alanliu.yf@gmail.com>

Diff Detail

Event Timeline

Weiwei-2021 created this revision.May 6 2021, 3:56 PM
Weiwei-2021 requested review of this revision.May 6 2021, 3:56 PM
antiagainst accepted this revision.May 12 2021, 6:06 AM

Cool; overall LGTM. Just a few nits. Please fix them and then land.

mlir/lib/Dialect/SPIRV/IR/SPIRVOps.cpp
3664

Use switch statement here?

3683

Use switch statement here?

3699

"expected the result to have " << componentNumber << " components, but found " << resultComponentNumber << " components"

This revision is now accepted and ready to land.May 12 2021, 6:06 AM

Thank you @antiagainst for reviewing! I will change based on your comments and then land.

Weiwei-2021 marked 3 inline comments as done.

Upload the latest version and land.

This revision was landed with ongoing or failed builds.May 13 2021, 10:21 AM
This revision was automatically updated to reflect the committed changes.